> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get entity settings

> Retrieve all settings for this entity.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/entities/{entity_id}/settings
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/entities/{entity_id}/settings:
    get:
      tags:
        - Entities
      summary: Get entity settings
      description: Retrieve all settings for this entity.
      operationId: get_entities_id_settings
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - ea837e28-509b-4b6a-a600-d54b6aa0b1f5
          description: A unique ID to specify the entity.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SettingsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    SettingsResponse:
      properties:
        accounting:
          anyOf:
            - $ref: '#/components/schemas/AccountingSettings'
            - type: 'null'
        allow_purchase_order_autolinking:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Automatically attempt to find a corresponding purchase order for all
            incoming payables.
          default: true
        currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencySettings-Output'
            - type: 'null'
        default_bank_account:
          anyOf:
            - $ref: '#/components/schemas/DefaultBankAccount'
            - type: 'null'
          description: >-
            The organization's single global default bank account. Clients use
            it to pre-fill the bank account field when creating receivables; it
            is not applied automatically on the server. Set to `null` to clear
            it.
        document_ids:
          anyOf:
            - $ref: '#/components/schemas/DocumentIDsSettings'
            - type: 'null'
        document_rendering:
          $ref: '#/components/schemas/DocumentRenderingSettings-Output'
          description: Settings for rendering documents in PDF format.
        generate_paid_invoice_pdf:
          type: boolean
          description: >-
            This setting affects how PDF is generated for paid accounts
            receivable invoices. If set to `true`, once an invoice is fully paid
            its PDF version is updated to display the amount paid and the
            payment-related features are removed.


            The PDF file gets regenerated at the moment when an invoice becomes
            paid. It is not issued as a separate document, and the original PDF
            invoice is no longer available.


            This field is deprecated and will be replaced by
            `document_rendering.invoice.generate_paid_invoice_pdf`.
          default: false
        language:
          anyOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
            - type: 'null'
        mail:
          anyOf:
            - $ref: '#/components/schemas/EntityMailSettings'
            - type: 'null'
          description: Email settings for the entity
        payables_ocr_auto_tagging:
          anyOf:
            - items:
                $ref: '#/components/schemas/OcrAutoTaggingSettingsRequest'
              type: array
            - type: 'null'
          description: Auto tagging settings for all incoming OCR payable documents.
        payables_skip_approval_flow:
          type: boolean
          description: >-
            If enabled, the approval policy will be skipped and the payable will
            be moved to `waiting_to_be_paid` status.
          default: false
        payment_priority:
          anyOf:
            - $ref: '#/components/schemas/PaymentPriorityEnum'
            - type: 'null'
          description: >-
            Payment preferences for entity to automate calculating suggested
            payment date based on payment terms and entity preferences.
          default: working_capital
        quote_signature_required:
          type: boolean
          description: >-
            Sets the default behavior of whether a signature is required to
            accept quotes.
          default: false
        receivable_edit_flow:
          anyOf:
            - $ref: '#/components/schemas/ReceivableEditFlow'
            - type: 'null'
          default: compliant
        reminder:
          anyOf:
            - $ref: '#/components/schemas/RemindersSettings'
            - type: 'null'
        tax_inclusive_discount_mode:
          $ref: '#/components/schemas/VatModeEnum'
          description: >-
            Defines whether the amount discounts (for percentage discounts it
            does not matter) on tax inclusive invoices will be applied on
            amounts including tax or excluding tax.
          default: exclusive
        tax_mode:
          anyOf:
            - $ref: '#/components/schemas/VatModeEnum'
            - type: 'null'
          description: >-
            Defines whether the prices of products in receivables will already
            include tax or not.
          default: exclusive
      type: object
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    AccountingSettings:
      properties:
        ledger_account_ids:
          anyOf:
            - $ref: '#/components/schemas/DefaultLedgerAccountIDs'
            - type: 'null'
          description: >-
            Default ledger accounts that will be used for various objects pushed
            into an accounting system. Use `GET /ledger_accounts` to get the IDs
            of these ledger accounts.
        tax_ids:
          anyOf:
            - $ref: '#/components/schemas/DefaultAccountingTaxIDs'
            - type: 'null'
          description: >-
            Default accounting tax IDs that will be used for various objects
            pushed into an accounting system. Use `GET /accounting_tax_rates` to
            get the IDs of these taxes.
      additionalProperties: false
      type: object
    CurrencySettings-Output:
      properties:
        default:
          $ref: '#/components/schemas/CurrencyEnum'
        exchange_rates:
          items:
            anyOf:
              - $ref: '#/components/schemas/ExchangeRate'
              - type: 'null'
          type: array
      additionalProperties: false
      type: object
      required:
        - default
    DefaultBankAccount:
      properties:
        id:
          type: string
          format: uuid
          description: The ID of the default bank account of the given `type`.
        type:
          $ref: '#/components/schemas/DefaultBankAccountType'
          description: The kind of bank account used as the organization's default.
      additionalProperties: false
      type: object
      required:
        - id
        - type
    DocumentIDsSettings:
      properties:
        document_type_prefix:
          $ref: '#/components/schemas/DocumentTypePrefix'
          description: Prefixes for each document_type.
          default:
            credit_note: CN
            delivery_note: DN
            invoice: INV
            purchase_order: PO
            quote: Q
        include_date:
          type: boolean
          description: Optionally add 4-digit of the current year.
          default: false
        min_digits:
          type: integer
          maximum: 25
          minimum: 1
          description: >-
            Minimal size of number in document ID Number will be left padded
            with zeros if less.
          default: 5
        prefix:
          anyOf:
            - type: string
              maxLength: 25
              minLength: 1
            - type: 'null'
          description: Optional prefix. Does not substitute document_type prefix.
        separator:
          $ref: '#/components/schemas/DocumentIDSeparators'
          description: Which character should separate each part of the document_id.
          default: '-'
      type: object
    DocumentRenderingSettings-Output:
      properties:
        credit_note:
          $ref: '#/components/schemas/CreditNoteRenderingSettings'
          description: Credit note-specific rendering settings for PDF documents.
        display_line_items:
          type: boolean
          description: >-
            If set to `true`, the line items table will be displayed on the
            quote PDF. Defaults to `true`.
          default: true
        display_organization_bank_account:
          type: boolean
          description: >-
            If set to `true`, the organization's bank account details will be
            displayed on the PDF documents. Defaults to `true`.
          default: true
        invoice:
          $ref: '#/components/schemas/InvoiceRenderingSettings'
          description: Invoice-specific rendering settings for PDF documents.
        line_items:
          $ref: '#/components/schemas/LineItemsRenderingSettings'
          description: 'Settings for rendering line items in PDF documents. '
        quote:
          $ref: '#/components/schemas/QuoteRenderingSettings'
          description: Quote-specific rendering settings for PDF documents.
      additionalProperties: false
      type: object
      description: >-
        Rendering settings that control how different parts of the PDF documents
        are displayed.

        Includes common settings for all document types such as quotes,
        invoices, and credit notes and document

        type-specific settings that are defined in their respective objects.
    LanguageCodeEnum:
      type: string
      enum:
        - ab
        - aa
        - af
        - ak
        - sq
        - am
        - ar
        - an
        - hy
        - av
        - ae
        - ay
        - az
        - bm
        - ba
        - eu
        - be
        - bn
        - bi
        - bs
        - br
        - bg
        - my
        - ca
        - ch
        - ce
        - ny
        - zh
        - cu
        - cv
        - kw
        - co
        - cr
        - hr
        - cs
        - da
        - dv
        - nl
        - dz
        - en
        - eo
        - et
        - ee
        - fo
        - fj
        - fi
        - fr
        - fy
        - ff
        - gd
        - gl
        - lg
        - ka
        - de
        - el
        - kl
        - gn
        - gu
        - ht
        - ha
        - he
        - hz
        - hi
        - ho
        - hu
        - io
        - ig
        - id
        - ia
        - ie
        - iu
        - ik
        - ga
        - it
        - ja
        - jv
        - kn
        - kr
        - ks
        - kk
        - km
        - ki
        - rw
        - ky
        - kv
        - kg
        - ko
        - kj
        - ku
        - lo
        - la
        - lv
        - li
        - ln
        - lt
        - lu
        - lb
        - mk
        - mg
        - ms
        - ml
        - mt
        - gv
        - mi
        - mr
        - mh
        - mn
        - na
        - nv
        - nd
        - nr
        - ng
        - ne
        - 'no'
        - nb
        - nn
        - ii
        - oc
        - oj
        - om
        - os
        - pi
        - ps
        - fa
        - pl
        - pt
        - pa
        - qu
        - ro
        - rm
        - rn
        - ru
        - se
        - sm
        - sg
        - sa
        - sc
        - sr
        - sn
        - sd
        - si
        - sk
        - sl
        - so
        - st
        - es
        - su
        - sw
        - ss
        - sv
        - tl
        - ty
        - tg
        - ta
        - tt
        - te
        - th
        - bo
        - ti
        - to
        - ts
        - tn
        - tr
        - tk
        - tw
        - ug
        - uk
        - ur
        - uz
        - ve
        - vi
        - vo
        - wa
        - cy
        - wo
        - xh
        - yi
        - yo
        - za
        - zu
    EntityMailSettings:
      properties:
        reply_to:
          anyOf:
            - items:
                type: string
                format: email
              type: array
            - type: 'null'
          description: >-
            Reply-to email addresses for outgoing entity emails. When set,
            recipients can reply directly to these addresses instead of the
            sender's email address. Used for invoices, reminders, and other
            automated emails.
          examples:
            - - support@example.com
            - - billing@example.com
              - support@example.com
      additionalProperties: false
      type: object
      description: Email settings for entity
    OcrAutoTaggingSettingsRequest:
      properties:
        enabled:
          type: boolean
          description: >-
            A switch to temporarily disable a keyword without removing it from
            the list.
        keywords:
          items:
            type: string
          type: array
          maxItems: 50
          minItems: 1
          description: >-
            A list of words that will be searched for assigning a tag in the
            recognized fields of the document after OCR processing. If at least
            one match is found, the tag will be assigned. Each keyword must be
            between 2 and 25 characters long.
        tag_id:
          type: string
          format: uuid
          description: >-
            Tag identifier that will be assigned to the payable document if one
            of the words listed in keywords is found during OCR.
      additionalProperties: false
      type: object
      required:
        - enabled
        - keywords
        - tag_id
    PaymentPriorityEnum:
      type: string
      enum:
        - working_capital
        - balanced
        - bottom_line
    ReceivableEditFlow:
      type: string
      enum:
        - compliant
        - partially_compliant
        - non_compliant
    RemindersSettings:
      properties:
        enabled:
          type: boolean
          default: true
      type: object
    VatModeEnum:
      type: string
      enum:
        - exclusive
        - inclusive
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    DefaultLedgerAccountIDs:
      properties:
        payments:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: >-
            ID of the ledger account to which all payment records will be
            pushed. Changing this value affects only future data pushes and does
            not affect payment records that already exist in the accounting
            system.
        products:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: >-
            ID of the ledger account to which products without a
            `ledger_account_id` specified will be pushed. Changing this value
            affects only future data pushes and does not affect products that
            already exist in the accounting system.
      additionalProperties: false
      type: object
    DefaultAccountingTaxIDs:
      properties:
        deductions:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: >-
            ID of the accounting tax ID with which all deductions will be
            pushed.
      additionalProperties: false
      type: object
    CurrencyEnum:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SEK
        - SGD
        - SHP
        - SLE
        - SOS
        - SRD
        - SSP
        - SVC
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
    ExchangeRate:
      properties:
        base:
          $ref: '#/components/schemas/CurrencyEnum'
          examples:
            - USD
        rate:
          type: number
          exclusiveMinimum: 0
          examples:
            - 0.98
        to:
          $ref: '#/components/schemas/CurrencyEnum'
          examples:
            - GBP
      additionalProperties: false
      type: object
      required:
        - base
        - to
        - rate
    DefaultBankAccountType:
      type: string
      enum:
        - INTERNAL
        - EXTERNAL
        - BANK_DETAILS
    DocumentTypePrefix:
      properties:
        credit_note:
          type: string
          maxLength: 25
          minLength: 1
          default: CN
        delivery_note:
          type: string
          maxLength: 25
          minLength: 1
          default: DN
        invoice:
          type: string
          maxLength: 25
          minLength: 1
          default: INV
        purchase_order:
          type: string
          maxLength: 25
          minLength: 1
          default: PO
        quote:
          type: string
          maxLength: 25
          minLength: 1
          default: Q
      additionalProperties: false
      type: object
    DocumentIDSeparators:
      type: string
      enum:
        - /
        - '-'
        - '|'
        - .
        - ''
    CreditNoteRenderingSettings:
      properties:
        display_organization_bank_account:
          type: boolean
          description: >-
            If set to `true`, the organization's bank account details will be
            displayed on the credit note PDF.
          default: true
      type: object
    InvoiceRenderingSettings:
      properties:
        display_organization_bank_account:
          type: boolean
          description: >-
            If set to `true`, the organization's bank account details will be
            displayed on the invoice PDF.
          default: true
      type: object
    LineItemsRenderingSettings:
      properties:
        discount:
          allOf:
            - $ref: '#/components/schemas/LineItemColumnSettings'
          description: Settings for the discount column in the line items table.
        measure_unit:
          allOf:
            - $ref: '#/components/schemas/LineItemColumnSettings'
          description: Settings for the measure unit column in the line items table.
        name:
          allOf:
            - $ref: '#/components/schemas/LineItemColumnSettings'
          description: Settings for the name column in the line items table.
        price:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: Settings for the price column in the line items table.
        price_after_tax:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: Settings for the price after tax column in the line items table.
        quantity:
          allOf:
            - $ref: '#/components/schemas/LineItemColumnSettings'
          description: Settings for the quantity column in the line items table.
        tax_rate:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: Settings for the tax rate column in the line items table.
        total_price:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: Settings for the total price column in the line items table.
        total_price_after_tax:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: >-
            Settings for the total price after tax column in the line items
            table.
        vat_amount:
          allOf:
            - $ref: '#/components/schemas/LineItemNumericColumnSettings'
          description: Settings for the VAT amount column in the line items table.
          default:
            display: false
      type: object
    QuoteRenderingSettings:
      properties:
        display_organization_bank_account:
          type: boolean
          description: >-
            If set to `true`, the organization's bank account details will be
            displayed on the quote PDF.
          default: true
        display_signature:
          type: boolean
          description: >-
            If set to `true`, the signature field will be displayed on the quote
            PDF.
          default: false
      type: object
    LineItemColumnSettings:
      properties:
        display:
          type: boolean
          default: true
        label:
          type: string
          maxLength: 32
          minLength: 1
          description: >-
            Line item table column header to override Monite's default. If not
            set, the Monite's default will be used.
      type: object
    LineItemNumericColumnSettings:
      properties:
        display:
          type: boolean
          default: true
        label:
          type: string
          maxLength: 32
          minLength: 1
          description: >-
            Line item table column header to override Monite's default. If not
            set, the Monite's default will be used.
        precision:
          type: integer
          maximum: 4
          minimum: 2
          description: >-
            Number of decimal places to display for numeric values in this
            column.
      type: object
      description: Extended settings for numeric columns in line items.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````